Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005208 [JEDI VCL] 00 JVCL Components crash always 2010-03-23 20:52 2011-06-10 16:09
Reporter cfzwit View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.39
Summary 0005208: JvMemoryData and JvExprParser bugs fixed
Description JvMemoryDataset :
See the method "CopyFromDataset". I added code check ReadOnlyFields an AutoIncFields <-- this exists in method "LoadFromDataset"

JvExprParser :
See the method "FixupString". I added {$IFDEF SUPPORTS_UNICODE_STRING} before compare the parameter with "varUString" <-- only valid with D2009/D2010
I tried install JEDI in Delphi 7, and it CRASH, becuase the type "varUString" are undefined.
Additional Information I atach two files : JvMemoryDataset.pas and JvExprParser.pas with the fixes.
Tags No tags attached.
Attached Files zip file icon MDS-Parser.zip [^] (22,467 bytes) 2010-03-23 20:52

- Relationships

-  Notes
(0017331)
AHUser (developer)
2010-03-29 18:55

JvMemoryDataset changes applied.

The JvExprParser.pas compile error was fixed some time ago.

- Issue History
Date Modified Username Field Change
2010-03-23 20:52 cfzwit New Issue
2010-03-23 20:52 cfzwit File Added: MDS-Parser.zip
2010-03-29 18:55 AHUser Note Added: 0017331
2010-03-29 18:55 AHUser Status new => resolved
2010-03-29 18:55 AHUser Fixed in Version => Daily / SVN
2010-03-29 18:55 AHUser Resolution open => fixed
2010-03-29 18:55 AHUser Assigned To => AHUser
2010-05-30 12:57 ormada Issue Monitored: ormada
2011-06-10 16:09 obones Fixed in Version Daily / SVN => 3.40


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker